extends Node

signal laps_changed(value)

enum InputMode { MOUSE, KEYBOARD }
enum GameMode { TRAIN, EASY }
enum PlayerSkin { CAR, POLICE, BUS }

var race_started = false
var laps = 0 setget set_laps

func set_laps(value):
	laps = value
	emit_signal("laps_changed", value)

var settings = {
	"input_mode": InputMode.MOUSE,
	"game_mode": GameMode.EASY,
	"player_skin": PlayerSkin.CAR,
}
